Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Security note Web Administrator pages, SAP security note 1226252

Description

This affects ICM and SAP Web Dispatcher of the kernel versions 640, 700 and 710.

You can find out your current kernel version and patch level using the menu option “System -> Status -> SHIFT+F5” or at the start of the relevant developer trace (dev_webdisp or dev_icm).

Without the patch that is mentioned below, a cross-site scripting attack may occur on the SAP Web Dispatcher or the ICM.

As a workaround, deactivate the Web Admin pages of the SAP Web Dispatcher and ICM. For this, turn the following parameter(s) into a comment:

icm/HTTP/admin_<x>

Available fix and Supported packages

  • SAP_BASIS | 640 | 640
  • SAP_BASIS | 700 | 700
  • SAP_BASIS | 710 | 710
  • SAP KERNEL 6.40 32-BIT | SP254 | 000254
  • SAP KERNEL 6.40 32-BIT UNICODE | SP254 | 000254
  • SAP KERNEL 6.40 64-BIT | SP254 | 000254
  • SAP KERNEL 6.40 64-BIT UNICODE | SP254 | 000254
  • SAP KERNEL 6.40_EX2 32-BIT | SP254 | 000254
  • SAP KERNEL 6.40_EX2 32-BIT UC | SP254 | 000254
  • SAP KERNEL 7.00 32-BIT | SP173 | 000173
  • SAP KERNEL 7.00 32-BIT UNICODE | SP173 | 000173
  • SAP KERNEL 7.00 64-BIT | SP173 | 000173
  • SAP KERNEL 7.00 64-BIT UNICODE | SP173 | 000173

Affected component

    BC-CST-IC
    Internet Communication Manager

CVSS

Score: 0

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/1226252

TAGS

#SSO
#XSRF

More to explorer